SaaS CMS has officially launched! Learn more now.

Upgrade CMS6 to R2: EPiServer.Web.InitializationModule error

Vote:
 

After solving the issue described in my other forum topic, I stumbled upon a new one. 

When trying to upgrade a CMS6 R1/Relate 2/.NET 4 site to R2, Deployment Center throws the following error:

....
....
EPiServerInstall Verbose: 0 : Not executing database script "C:\Program Files (x86)\EPiServer\CMS\6.1.379.0\Upgrade\Database\sql\0006_0001_0288_0000to0006_0001_0316_0000.sql" because it has already been executed., EPiServerInstall Verbose: 0 : Progress Status: Activity:Installing Description:Installing, EPiServerInstall Verbose: 0 : Progress Status: Activity:Committing Description:Committing, EPiServerInstall Verbose: 0 : Entering commit phase, EPiServerInstall Verbose: 0 : Committed, EPiServerInstall Verbose: 0 : Progress Status: Activity:Committing Description:Committing, EPiServerInstall Verbose: 0 : Started a transacted install, EPiServerInstall Warning: 0 : An error has occured and the transaction will be rolled back, EPiServerInstall Warning: 0 : Rolledback, EPiServerInstall Verbose: 0 : , EPiServerInstall Verbose: 0 : An unhandled error has occured:, EPiServerInstall Verbose: 0 : Cannot resolve dependencies for the following module(s) , EPiServerInstall Verbose: 0 : EPiServer.Web.InitializationModule, EPiServerInstall Verbose: 0 : EPiServer.Web.InitializationModule, EPiServerInstall Verbose: 0 : EPiServer.Web.InitializationModule, EPiServerInstall Verbose: 0 : When executing, EPiServerInstall Verbose: 0 : , EPiServerInstall Verbose: 0 : At C:\Program Files (x86)\EPiServer\CMS\6.1.379.0\Upgrade\System Scripts\Upgrad, EPiServerInstall Verbose: 0 : e XForm Names.ps1:36 char:22, EPiServerInstall Verbose: 0 : + Upgrade-EPiXFormNames <<<< -SelectedSite $wizard.SelectedApplication, EPiServerInstall Verbose: 0 : , EPiServerInstall Verbose: 0 : =, EPiServerInstall Verbose: 0 : Get-EPiIsBulkInstalling, EPiServerInstall Error: 0 : Error, System.Management.Automation.CmdletInvocationException: Cannot resolve dependencies for the following module(s) EPiServer.Web.InitializationModule EPiServer.Web.InitializationModule EPiServer.Web.InitializationModule ---> System.InvalidOperationException: Cannot resolve dependencies for the following module(s) EPiServer.Web.InitializationModule EPiServer.Web.InitializationModule EPiServer.Web.InitializationModule at EPiServer.Framework.Initialization.InitializationEngine.CreateDependencySortedModules(IEnumerable`1 modules) at EPiServer.Framework.Initialization.InitializationEngine.Initialize(HostType hostType) at EPiServer.Framework.Initialization.InitializationModule.Initialize(HostType hostType) at EPiServer.Framework.Initialization.InitializationModule.FrameworkInitialization(HostType hostType) at EPiServer.Install.CMS.Common.EPiServerCMSWrapper.InitalizeEPiServer(String webConfigPath) at EPiServer.Install.CMS.Common.EPiServerCMSWrapper.Initialize(String destinationPath, String virtualDirectory) at EPiServer.Install.CMS.Common.EPiServerCMSWrapper.Initialize(String destinationPath, String virtualDirectory) at EPiServer.Install.Common.AppDomains.RunInAppDomainInstaller.Install(IDictionary stateSaver) at EPiServer.Install.InstallationManager.Install(Installer installer) at EPiServerUpgrade.CMS6.XFormNameDecodeCmdlet.ProcessRecord() at System.Management.Automation.Cmdlet.DoProcessRecord() at System.Management.Automation.CommandProcessor.ProcessRecord() --- End of inner exception stack trace --- at System.Management.Automation.Runspaces.PipelineBase.Invoke(IEnumerable input) at System.Management.Automation.Runspaces.Pipeline.Invoke() at EPiServer.Install.Scripting.PowerShellEnvironment.RunScript(PowerShellScriptInfo scriptFileInfo, IDictionary`2 parameters, PSHost host) at EPiServer.Install.ScriptRunner.Run()

 

 

Any suggestions on how to proceed?

#60254
Jul 30, 2012 15:07
Vote:
 

Can you make sure that you have all necessary assemblies available under :

\Program Files (x86)\EPiServer\Framework\6.2.267.1\bin

  • EPiServer.ApplicationModules.dll
  • EPiServer.Data.Cache.dll
  • EPiServer.Data.dll
  • EPiServer.Events.dll
  • EPiServer.Framework.dll
  • EPiServer.Licensing.dll
  • EPiServer.Shell.dll
  • EPiServer.Shell.UI.dll
#60258
Jul 31, 2012 8:54
Vote:
 

Yes, they're all there..
This looks like it's the same problem: http://world.episerver.com/Modules/Forum/Pages/Thread.aspx?id=49933&epslanguage=en

So If it's true that Deployment Center actually is done upgrading the site (except for the XForm part), perhaps it is sufficient to try this after the "failed" upgrade: http://world.episerver.com/Blogs/Paul-Smith/Dates1/2012/4/Problems-with-XForms-when-upgrading-to-CMS-6-R2/

What do you think?

#60259
Jul 31, 2012 9:06
Vote:
 

Correct, if your site uses xForm then try using the script mentioned Paul's blog post. This should fix your problem. 

#60260
Jul 31, 2012 9:15
This thread is locked and should be used for reference only. Please use the Episerver CMS 7 and earlier versions forum to open new discussions.
* You are NOT allowed to include any hyperlinks in the post because your account hasn't associated to your company. User profile should be updated.